---
updatedAt: 2026-07-21T09:22:37.000Z
agentTools:
  siteIndex: https://developer.eagleeye.com/llms.txt
  projectIndex: https://developer.eagleeye.com/eagleeye-developer/llms.txt
---

# Get an Inventory Group (BETA)

This API endpoint allows the calling unit to retrieve a single inventory group by ID from their child unit as specified by its `incomingIdentifier`.

# OpenAPI definition

```json
{
  "x-explorer-enabled": false,
  "openapi": "3.0.3",
  "servers": [
    {
      "url": "https://resources.uk.eagleeye.com",
      "description": "UK Production."
    },
    {
      "url": "https://resources.us.eagleeye.com",
      "description": "US Production."
    },
    {
      "url": "https://resources.us2.eagleeye.com",
      "description": "US2 Production."
    },
    {
      "url": "https://resources.au.eagleeye.com",
      "description": "AU Production."
    },
    {
      "url": "https://resources.sandbox.uk.eagleeye.com",
      "description": "UK Sandbox."
    }
  ],
  "info": {
    "version": "1.67.0",
    "title": "Resource API",
    "description": "# These APIs are used for integration with the Eagle Eye AIR platform when interacting with resources."
  },
  "tags": [
    {
      "name": "Product Inventory",
      "description": "Set of RESTful API endpoints allowing Clients to integrate with EES AIR and use Product Inventory functionality."
    }
  ],
  "paths": {
    "/products/{incomingIdentifier}/groups/{groupId}": {
      "get": {
        "summary": "Get an Inventory Group (BETA)",
        "operationId": "getInventoryGroup",
        "tags": [
          "Product Inventory"
        ],
        "description": "This API endpoint allows the calling unit to retrieve a single inventory group by ID from their child unit as specified by its `incomingIdentifier`.",
        "parameters": [
          {
            "$ref": "#/components/parameters/incomingIdentifierPath"
          },
          {
            "$ref": "#/components/parameters/inventoryGroupIdPath"
          },
          {
            "$ref": "#/components/parameters/httpAcceptEncodingRequest"
          },
          {
            "$ref": "#/components/parameters/httpConnectionRequest"
          },
          {
            "$ref": "#/components/parameters/httpContentTypeRequest"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationClientId"
          },
          {
            "$ref": "#/components/parameters/eesAuthenticationRequestHash"
          },
          {
            "$ref": "#/components/parameters/eesMessageId"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/inventoryGroupResponse"
          },
          "400": {
            "$ref": "#/components/responses/error400Response"
          },
          "401": {
            "$ref": "#/components/responses/error401Response"
          },
          "403": {
            "$ref": "#/components/responses/error403Response"
          },
          "404": {
            "$ref": "#/components/responses/error404Response"
          },
          "415": {
            "$ref": "#/components/responses/error415Response"
          },
          "429": {
            "$ref": "#/components/responses/error429Response"
          },
          "500": {
            "$ref": "#/components/responses/error500Response"
          },
          "503": {
            "$ref": "#/components/responses/error503Response"
          },
          "504": {
            "$ref": "#/components/responses/error504Response"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "eesAuthenticationClientId": {
        "name": "X-EES-AUTH-CLIENT-ID",
        "in": "header",
        "description": "Client ID, This will be provided by EES and is unique to the company calling the API.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesAuthenticationRequestHash": {
        "name": "X-EES-AUTH-HASH",
        "in": "header",
        "description": "Request Security Hash, calculated using SHA-256 function from concatenated full Request URI Path with Query String(s), Payload and Client Secret.",
        "required": true,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "eesMessageId": {
        "name": "X-EES-TRANSACTION-ID",
        "in": "header",
        "description": "Unique Reference for the API transaction within the calling company.",
        "required": false,
        "schema": {
          "type": "string",
          "format": "string"
        }
      },
      "incomingIdentifierPath": {
        "name": "incomingIdentifier",
        "in": "path",
        "required": true,
        "description": "The incoming identifier of the unit whose inventory products and groups are being managed.",
        "schema": {
          "type": "string",
          "format": "string"
        },
        "allowEmptyValue": false
      },
      "inventoryGroupIdPath": {
        "name": "groupId",
        "in": "path",
        "required": true,
        "description": "The unique identifier of the inventory group.",
        "schema": {
          "type": "string",
          "format": "string"
        },
        "allowEmptyValue": false
      },
      "httpContentTypeRequest": {
        "name": "Content-Type",
        "in": "header",
        "required": false,
        "description": "Standard HTTP header to inform EES API what type of content was passed in request payload",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "application/json"
        },
        "allowEmptyValue": false
      },
      "httpAcceptEncodingRequest": {
        "name": "Accept-Encoding",
        "in": "header",
        "required": false,
        "description": "This request HTTP header advertises which content encoding (usually a compression algorithm) the calling application is able to understand. The server selects one of the proposals, use it and informs the client of its choice with the `Content-Encoding` Response header. Currently supported `gzip` and `deflate`. Please note if this request header is not present, no compression will be used.",
        "schema": {
          "type": "string",
          "format": "string",
          "default": "''",
          "enum": [
            "''",
            "'gzip'",
            "'deflate'",
            "'gzip,deflate'",
            "'deflate,gzip'"
          ]
        },
        "allowEmptyValue": true
      },
      "httpConnectionRequest": {
        "name": "Connection",
        "in": "header",
        "required": false,
        "description": "This general HTTP header controls (or rather influences) whether the network connection stays open after the current request finishes. If the sent value is `keep-alive`, the connection should stay in a special state, allowing to be reused for subsequent requests to the same server. Please note these connections will be closed after reaching timeout threshold controlled by EES server (usually after 5 seconds).",
        "schema": {
          "type": "string",
          "format": "string",
          "enum": [
            "keep-alive",
            "close"
          ],
          "default": "close"
        }
      }
    },
    "schemas": {
      "InventoryGroupEntity": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "The unique identifier of the inventory group.",
            "example": "FRUIT"
          },
          "name": {
            "type": "string",
            "nullable": true,
            "description": "The display name of the inventory group.",
            "example": "Fruit"
          },
          "type": {
            "type": "string",
            "description": "The inventory group type.",
            "example": "category"
          },
          "description": {
            "type": "string",
            "description": "An optional description of the inventory group.",
            "example": "Fresh fruit"
          },
          "parentId": {
            "type": "string",
            "nullable": true,
            "description": "The unique identifier of this group's parent. Null for root groups.",
            "example": "GROCERY"
          },
          "level": {
            "type": "integer",
            "description": "The depth level of the group in the hierarchy (root is 1).",
            "example": 2
          },
          "hasChildren": {
            "type": "boolean",
            "description": "Whether the group has one or more child groups.",
            "example": true
          },
          "parent": {
            "nullable": true,
            "description": "Parent group details. If present, this object can contain its own `parent`, recursively, until the root group is reached.",
            "allOf": [
              {
                "$ref": "#/components/schemas/InventoryGroupEntity"
              }
            ]
          }
        }
      },
      "defaultErrorEntity": {
        "type": "object",
        "required": [
          "errorCode",
          "errorMessage"
        ],
        "properties": {
          "errorCode": {
            "type": "string",
            "format": "string",
            "description": "EES AIR Error Code",
            "example": "MPA",
            "enum": [
              "NF",
              "IR",
              "U",
              "AF",
              "CE",
              "IPR",
              "MNA",
              "MPA",
              "P",
              "AA",
              "IP",
              "IH",
              "RF"
            ]
          },
          "errorMessage": {
            "type": "string",
            "format": "string",
            "description": "Human Friendly Error Message",
            "example": "Missing Mandatory Request Parameter: `parameterName`"
          },
          "details": {
            "type": "object",
            "description": "This optional object might contain an additional details regarding this error"
          }
        },
        "x-enum": [
          {
            "errorCode": "NF",
            "errorMessage": "Not Found"
          },
          {
            "errorCode": "IR",
            "errorMessage": "Invalid Request"
          },
          {
            "errorCode": "U",
            "errorMessage": "Unknown Error"
          },
          {
            "errorCode": "AF",
            "errorMessage": "Authorisation Failed"
          },
          {
            "errorCode": "CE",
            "errorMessage": "Configuration Error"
          },
          {
            "errorCode": "IPR",
            "errorMessage": "IP Address Rejected"
          },
          {
            "errorCode": "MNA",
            "errorMessage": "Method Not Allowed"
          },
          {
            "errorCode": "MPA",
            "errorMessage": "Missing Parameter"
          },
          {
            "errorCode": "P",
            "errorMessage": "Privileges"
          },
          {
            "errorCode": "AA",
            "errorMessage": "Invalid Access to API Method"
          },
          {
            "errorCode": "IP",
            "errorMessage": "Invalid Parameter"
          },
          {
            "errorCode": "IH",
            "errorMessage": "Invalid Header set"
          },
          {
            "errorCode": "RF",
            "errorMessage": "Rollback Failure"
          }
        ]
      }
    },
    "responses": {
      "inventoryGroupResponse": {
        "description": "EES AIR has successfully processed a Request.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/InventoryGroupEntity"
            }
          }
        }
      },
      "error400Response": {
        "description": "EES AIR Refuse to process that particular Request as there is something wrong with the Request (e.g., missing Mandatory Request parameter or Mandatory Request Payload attribute is missing, Request payload cannot be processed, etc)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "MPA",
                "errorMessage": "Missing Mandatory Request Parameter: `parameterName`"
              }
            }
          }
        }
      },
      "error401Response": {
        "description": "EES AIR Refuse to process that particular Request due to Authentication error. This could be caused by missing mandatory AUTH header(s), invalid Hash calculation, invalid or inactive API Key used, etc",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "AF",
                "errorMessage": "Authentication Failure, Please check if required AUTH headers are present in your Request and if AUTH Hash is calculated correctly"
              }
            }
          }
        }
      },
      "error403Response": {
        "description": "EES AIR Refuse to process that particular Request due to Request Authorization error(s). This indicates that used API Key has not got required permissions to perform this operation.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "P",
                "errorMessage": "You don't have appropriate Privileges to perform this operation"
              }
            }
          }
        }
      },
      "error404Response": {
        "description": "EES AIR Refuse to process that particular Request as requested/referenced resource could not be found.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "NF",
                "errorMessage": "Requested Resource (Wallet Identity Value) not found"
              }
            }
          }
        }
      },
      "error415Response": {
        "description": "EES AIR is not able to understand that request due to not supported `Content-Type` value.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error429Response": {
        "description": "EES AIR refuses to process that particular Request as Client's API Requests Limit was exceeded.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error500Response": {
        "description": "EES AIR refuses to process that particular Request due to Unexpected Server Error.",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "U",
                "errorMessage": "Unknown Server Error"
              }
            }
          }
        }
      },
      "error503Response": {
        "description": "EES AIR refuses to process that particular Request due to Service(s) being Unavailable (i.e. Scheduled Maintenance)",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      },
      "error504Response": {
        "description": "EES AIR refuses to process that particular Request due to Networking Issues",
        "headers": {
          "X-EES-TRANSACTION-ID-RESULT": {
            "$ref": "#/components/headers/uniquenessCheckResult"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/defaultErrorEntity"
                }
              ],
              "example": {
                "errorCode": "...",
                "errorMessage": "..."
              }
            }
          }
        }
      }
    },
    "headers": {
      "uniquenessCheckResult": {
        "required": false,
        "description": "If Request Uniqueness checking is enabled for a Client, this Header will contain details regarding Request uniqueness check performed within EES AIR. `PASSED` means it was checked and a Request is unique, `FAILED` means check was performed and it fails, `UNABLE TO CHECK` means EES AIR was not able to perform uniqueness check.",
        "schema": {
          "type": "string",
          "format": "string",
          "nullable": false,
          "enum": [
            "PASSED",
            "FAILED",
            "UNABLE TO CHECK"
          ]
        }
      }
    }
  }
}
```